# std::experimental::filesystem::directory_iterator::operator=

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | directory iterator

directory_iterator& operator++(); directory_iterator& increment( error_code& ec ) noexcept; |  | (filesystem TS)

Advances the iterator to the next entry.

| This section is incomplete

### Parameters

ec | - | error code to store error status to

### Return value

*this

### Exceptions

1)

| This section is incomplete

2)
`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/directory_iterator/increment&oldid=91467"
Categories:

- Todo without reason
- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template